
package com.gekko_holding.webservice.v2_4;

import javax.xml.bind.annotation.*;


/**
 * <p>Java class for bookHotel complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="bookHotel">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="language" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="identification" type="{http://webservice.gekko-holding.com/v2_4}customerIdentification"/>
 *         &lt;element name="bookRequest" type="{http://webservice.gekko-holding.com/v2_4}requestedBookings"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "bookHotel", propOrder = {
    "language",
    "identification",
    "bookRequest"
})
@XmlRootElement
public class BookHotel {

    protected String language;
    @XmlElement(required = true)
    protected CustomerIdentification identification;
    @XmlElement(required = true)
    protected RequestedBookings bookRequest;

    /**
     * Gets the value of the language property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLanguage() {
        return language;
    }

    /**
     * Sets the value of the language property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLanguage(String value) {
        this.language = value;
    }

    /**
     * Gets the value of the identification property.
     * 
     * @return
     *     possible object is
     *     {@link CustomerIdentification }
     *     
     */
    public CustomerIdentification getIdentification() {
        return identification;
    }

    /**
     * Sets the value of the identification property.
     * 
     * @param value
     *     allowed object is
     *     {@link CustomerIdentification }
     *     
     */
    public void setIdentification(CustomerIdentification value) {
        this.identification = value;
    }

    /**
     * Gets the value of the bookRequest property.
     * 
     * @return
     *     possible object is
     *     {@link RequestedBookings }
     *     
     */
    public RequestedBookings getBookRequest() {
        return bookRequest;
    }

    /**
     * Sets the value of the bookRequest property.
     * 
     * @param value
     *     allowed object is
     *     {@link RequestedBookings }
     *     
     */
    public void setBookRequest(RequestedBookings value) {
        this.bookRequest = value;
    }

}
