
package com.gekko_holding.webservice.v2_4;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for bookedRoom complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="bookedRoom">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;choice maxOccurs="unbounded" minOccurs="0">
 *           &lt;element ref="{http://webservice.gekko-holding.com/v2_4}registeredUser"/>
 *           &lt;element ref="{http://webservice.gekko-holding.com/v2_4}pax"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *       &lt;attribute name="roomIndex" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "bookedRoom", propOrder = {
    "registeredUserOrPax"
})
public class BookedRoom {

    @XmlElements({
        @XmlElement(name = "pax", namespace = "http://webservice.gekko-holding.com/v2_4", type = Pax.class),
        @XmlElement(name = "registeredUser", namespace = "http://webservice.gekko-holding.com/v2_4", type = RegisteredUser.class)
    })
    protected List<PaxBean> registeredUserOrPax;
    @XmlAttribute(name = "roomIndex", required = true)
    protected int roomIndex;

    /**
     * Gets the value of the registeredUserOrPax property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the registeredUserOrPax property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRegisteredUserOrPax().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Pax }
     * {@link RegisteredUser }
     * 
     * 
     */
    public List<PaxBean> getRegisteredUserOrPax() {
        if (registeredUserOrPax == null) {
            registeredUserOrPax = new ArrayList<PaxBean>();
        }
        return this.registeredUserOrPax;
    }

    /**
     * Gets the value of the roomIndex property.
     * 
     */
    public int getRoomIndex() {
        return roomIndex;
    }

    /**
     * Sets the value of the roomIndex property.
     * 
     */
    public void setRoomIndex(int value) {
        this.roomIndex = value;
    }

}
