
package com.gekko_holding.webservice.v2_4;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for hotelSegmentDetailsBean complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="hotelSegmentDetailsBean">
 *   &lt;complexContent>
 *     &lt;extension base="{http://webservice.gekko-holding.com/v2_4}segmentDetailsBean">
 *       &lt;sequence>
 *         &lt;element name="hotel" type="{http://webservice.gekko-holding.com/v2_4}hotelBookedBean" minOccurs="0"/>
 *         &lt;element name="checkIn" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="checkOut" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="cancellationPolicies" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="cancellationPolicy" type="{http://webservice.gekko-holding.com/v2_4}cancellationFeesPolicy" maxOccurs="unbounded" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="voucherObservation" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="rooms" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="room" type="{http://webservice.gekko-holding.com/v2_4}segmentRoomBean" maxOccurs="unbounded" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="voucherIssued" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "hotelSegmentDetailsBean", propOrder = {
    "hotel",
    "checkIn",
    "checkOut",
    "cancellationPolicies",
    "voucherObservation",
    "rooms"
})
public class HotelSegmentDetailsBean
    extends SegmentDetailsBean
{

    protected HotelBookedBean hotel;
    @XmlElement(required = true)
    protected String checkIn;
    @XmlElement(required = true)
    protected String checkOut;
    protected HotelSegmentDetailsBean.CancellationPolicies cancellationPolicies;
    protected String voucherObservation;
    protected HotelSegmentDetailsBean.Rooms rooms;
    @XmlAttribute(name = "voucherIssued", required = true)
    protected boolean voucherIssued;

    /**
     * Gets the value of the hotel property.
     * 
     * @return
     *     possible object is
     *     {@link HotelBookedBean }
     *     
     */
    public HotelBookedBean getHotel() {
        return hotel;
    }

    /**
     * Sets the value of the hotel property.
     * 
     * @param value
     *     allowed object is
     *     {@link HotelBookedBean }
     *     
     */
    public void setHotel(HotelBookedBean value) {
        this.hotel = value;
    }

    /**
     * Gets the value of the checkIn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCheckIn() {
        return checkIn;
    }

    /**
     * Sets the value of the checkIn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCheckIn(String value) {
        this.checkIn = value;
    }

    /**
     * Gets the value of the checkOut property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCheckOut() {
        return checkOut;
    }

    /**
     * Sets the value of the checkOut property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCheckOut(String value) {
        this.checkOut = value;
    }

    /**
     * Gets the value of the cancellationPolicies property.
     * 
     * @return
     *     possible object is
     *     {@link HotelSegmentDetailsBean.CancellationPolicies }
     *     
     */
    public HotelSegmentDetailsBean.CancellationPolicies getCancellationPolicies() {
        return cancellationPolicies;
    }

    /**
     * Sets the value of the cancellationPolicies property.
     * 
     * @param value
     *     allowed object is
     *     {@link HotelSegmentDetailsBean.CancellationPolicies }
     *     
     */
    public void setCancellationPolicies(HotelSegmentDetailsBean.CancellationPolicies value) {
        this.cancellationPolicies = value;
    }

    /**
     * Gets the value of the voucherObservation property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVoucherObservation() {
        return voucherObservation;
    }

    /**
     * Sets the value of the voucherObservation property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVoucherObservation(String value) {
        this.voucherObservation = value;
    }

    /**
     * Gets the value of the rooms property.
     * 
     * @return
     *     possible object is
     *     {@link HotelSegmentDetailsBean.Rooms }
     *     
     */
    public HotelSegmentDetailsBean.Rooms getRooms() {
        return rooms;
    }

    /**
     * Sets the value of the rooms property.
     * 
     * @param value
     *     allowed object is
     *     {@link HotelSegmentDetailsBean.Rooms }
     *     
     */
    public void setRooms(HotelSegmentDetailsBean.Rooms value) {
        this.rooms = value;
    }

    /**
     * Gets the value of the voucherIssued property.
     * 
     */
    public boolean isVoucherIssued() {
        return voucherIssued;
    }

    /**
     * Sets the value of the voucherIssued property.
     * 
     */
    public void setVoucherIssued(boolean value) {
        this.voucherIssued = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="cancellationPolicy" type="{http://webservice.gekko-holding.com/v2_4}cancellationFeesPolicy" maxOccurs="unbounded" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "cancellationPolicy"
    })
    public static class CancellationPolicies {

        protected List<CancellationFeesPolicy> cancellationPolicy;

        /**
         * Gets the value of the cancellationPolicy property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the cancellationPolicy property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getCancellationPolicy().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link CancellationFeesPolicy }
         * 
         * 
         */
        public List<CancellationFeesPolicy> getCancellationPolicy() {
            if (cancellationPolicy == null) {
                cancellationPolicy = new ArrayList<CancellationFeesPolicy>();
            }
            return this.cancellationPolicy;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="room" type="{http://webservice.gekko-holding.com/v2_4}segmentRoomBean" maxOccurs="unbounded" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "room"
    })
    public static class Rooms {

        protected List<SegmentRoomBean> room;

        /**
         * Gets the value of the room property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the room property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getRoom().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link SegmentRoomBean }
         * 
         * 
         */
        public List<SegmentRoomBean> getRoom() {
            if (room == null) {
                room = new ArrayList<SegmentRoomBean>();
            }
            return this.room;
        }

    }

}
