
package com.gekko_holding.webservice.v2_4;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.gekko_holding.webservice.v2_4 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _BookHotelResponse_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "bookHotelResponse");
    private final static QName _GetVoucherResponse_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getVoucherResponse");
    private final static QName _HotelSegment_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "hotelSegment");
    private final static QName _GeoCode_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "geoCode");
    private final static QName _GetWhiteListHotels_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getWhiteListHotels");
    private final static QName _GetPreBookingInfo_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getPreBookingInfo");
    private final static QName _CancelBookingSegmentResponse_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "cancelBookingSegmentResponse");
    private final static QName _BookHotel_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "bookHotel");
    private final static QName _GetHotelDetailsResponse_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getHotelDetailsResponse");
    private final static QName _Pax_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "pax");
    private final static QName _InsuranceSegment_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "insuranceSegment");
    private final static QName _GetHotelDetails_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getHotelDetails");
    private final static QName _GetWhiteListHotelsResponse_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getWhiteListHotelsResponse");
    private final static QName _HotelAvailability_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "hotelAvailability");
    private final static QName _RegisteredUser_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "registeredUser");
    private final static QName _HotelAvailabilityResponse_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "hotelAvailabilityResponse");
    private final static QName _Hotels_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "hotels");
    private final static QName _Poi_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "poi");
    private final static QName _GetBookingDetailsResponse_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getBookingDetailsResponse");
    private final static QName _CancelBookingSegment_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "cancelBookingSegment");
    private final static QName _GetVoucher_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getVoucher");
    private final static QName _GetBookingDetails_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getBookingDetails");
    private final static QName _HotelDetails_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "hotelDetails");
    private final static QName _City_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "city");
    private final static QName _Hotel_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "hotel");
    private final static QName _GetPreBookingInfoResponse_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "getPreBookingInfoResponse");
    private final static QName _TimeoutException_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "TimeoutException");
    private final static QName _SearchBookingSegments_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "searchBookingSegments");
    private final static QName _SearchBookingSegmentsResponse_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "searchBookingSegmentsResponse");
    private final static QName _ServiceError_QNAME = new QName("http://webservice.gekko-holding.com/v2_4", "serviceError");
    private final static QName _SegmentDetailsBeanCurrency_QNAME = new QName("", "currency");
    private final static QName _AvailabilityCriteriaAllowOnRequest_QNAME = new QName("", "allowOnRequest");
    private final static QName _AvailabilityCriteriaSortBy_QNAME = new QName("", "sortBy");
    private final static QName _AvailabilityCriteriaHotelNamePart_QNAME = new QName("", "hotelNamePart");
    private final static QName _AvailabilityCriteriaRatingCriteria_QNAME = new QName("", "ratingCriteria");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.gekko_holding.webservice.v2_4
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link InsuranceSegmentDetailsBean }
     * 
     */
    public InsuranceSegmentDetailsBean createInsuranceSegmentDetailsBean() {
        return new InsuranceSegmentDetailsBean();
    }

    /**
     * Create an instance of {@link PriceBean }
     * 
     */
    public PriceBean createPriceBean() {
        return new PriceBean();
    }

    /**
     * Create an instance of {@link CustomerIdentification }
     * 
     */
    public CustomerIdentification createCustomerIdentification() {
        return new CustomerIdentification();
    }

    /**
     * Create an instance of {@link SegmentDetailsBean.StatisticalFields }
     * 
     */
    public SegmentDetailsBean.StatisticalFields createSegmentDetailsBeanStatisticalFields() {
        return new SegmentDetailsBean.StatisticalFields();
    }

    /**
     * Create an instance of {@link BookingDetails.Segments }
     * 
     */
    public BookingDetails.Segments createBookingDetailsSegments() {
        return new BookingDetails.Segments();
    }

    /**
     * Create an instance of {@link SegmentRoomBean }
     * 
     */
    public SegmentRoomBean createSegmentRoomBean() {
        return new SegmentRoomBean();
    }

    /**
     * Create an instance of {@link DestinationCriteria }
     * 
     */
    public DestinationCriteria createDestinationCriteria() {
        return new DestinationCriteria();
    }

    /**
     * Create an instance of {@link SegmentInfoBean }
     * 
     */
    public SegmentInfoBean createSegmentInfoBean() {
        return new SegmentInfoBean();
    }

    /**
     * Create an instance of {@link RoomPlan.Children }
     * 
     */
    public RoomPlan.Children createRoomPlanChildren() {
        return new RoomPlan.Children();
    }

    /**
     * Create an instance of {@link HotelCodes }
     * 
     */
    public HotelCodes createHotelCodes() {
        return new HotelCodes();
    }

    /**
     * Create an instance of {@link BookedRoom }
     * 
     */
    public BookedRoom createBookedRoom() {
        return new BookedRoom();
    }

    /**
     * Create an instance of {@link Bookings }
     * 
     */
    public Bookings createBookings() {
        return new Bookings();
    }

    /**
     * Create an instance of {@link HotelBean.Images }
     * 
     */
    public HotelBean.Images createHotelBeanImages() {
        return new HotelBean.Images();
    }

    /**
     * Create an instance of {@link HotelSegmentDetailsBean }
     * 
     */
    public HotelSegmentDetailsBean createHotelSegmentDetailsBean() {
        return new HotelSegmentDetailsBean();
    }

    /**
     * Create an instance of {@link Country }
     * 
     */
    public Country createCountry() {
        return new Country();
    }

    /**
     * Create an instance of {@link HotelBean.Facilities }
     * 
     */
    public HotelBean.Facilities createHotelBeanFacilities() {
        return new HotelBean.Facilities();
    }

    /**
     * Create an instance of {@link RangeCriteria }
     * 
     */
    public RangeCriteria createRangeCriteria() {
        return new RangeCriteria();
    }

    /**
     * Create an instance of {@link EntityBean }
     * 
     */
    public EntityBean createEntityBean() {
        return new EntityBean();
    }

    /**
     * Create an instance of {@link HotelBean.Descriptions }
     * 
     */
    public HotelBean.Descriptions createHotelBeanDescriptions() {
        return new HotelBean.Descriptions();
    }

    /**
     * Create an instance of {@link HotelCodeListDestination }
     * 
     */
    public HotelCodeListDestination createHotelCodeListDestination() {
        return new HotelCodeListDestination();
    }

    /**
     * Create an instance of {@link AcceptedCreditCardBean }
     * 
     */
    public AcceptedCreditCardBean createAcceptedCreditCardBean() {
        return new AcceptedCreditCardBean();
    }

    /**
     * Create an instance of {@link HotelResponse }
     * 
     */
    public HotelResponse createHotelResponse() {
        return new HotelResponse();
    }

    /**
     * Create an instance of {@link SearchCriteria }
     * 
     */
    public SearchCriteria createSearchCriteria() {
        return new SearchCriteria();
    }

    /**
     * Create an instance of {@link CancellationPolicyResponse.AcceptedCreditCards }
     * 
     */
    public CancellationPolicyResponse.AcceptedCreditCards createCancellationPolicyResponseAcceptedCreditCards() {
        return new CancellationPolicyResponse.AcceptedCreditCards();
    }

    /**
     * Create an instance of {@link BookingDetails }
     * 
     */
    public BookingDetails createBookingDetails() {
        return new BookingDetails();
    }

    /**
     * Create an instance of {@link GetBookingDetails }
     * 
     */
    public GetBookingDetails createGetBookingDetails() {
        return new GetBookingDetails();
    }

    /**
     * Create an instance of {@link Segment }
     * 
     */
    public Segment createSegment() {
        return new Segment();
    }

    /**
     * Create an instance of {@link BookingInfoBean }
     * 
     */
    public BookingInfoBean createBookingInfoBean() {
        return new BookingInfoBean();
    }

    /**
     * Create an instance of {@link GeoCodeDestination }
     * 
     */
    public GeoCodeDestination createGeoCodeDestination() {
        return new GeoCodeDestination();
    }

    /**
     * Create an instance of {@link ErrorDetails }
     * 
     */
    public ErrorDetails createErrorDetails() {
        return new ErrorDetails();
    }

    /**
     * Create an instance of {@link Child }
     * 
     */
    public Child createChild() {
        return new Child();
    }

    /**
     * Create an instance of {@link Board }
     * 
     */
    public Board createBoard() {
        return new Board();
    }

    /**
     * Create an instance of {@link HotelBean }
     * 
     */
    public HotelBean createHotelBean() {
        return new HotelBean();
    }

    /**
     * Create an instance of {@link HotelSegmentDetailsBean.Rooms }
     * 
     */
    public HotelSegmentDetailsBean.Rooms createHotelSegmentDetailsBeanRooms() {
        return new HotelSegmentDetailsBean.Rooms();
    }

    /**
     * Create an instance of {@link RoomType }
     * 
     */
    public RoomType createRoomType() {
        return new RoomType();
    }

    /**
     * Create an instance of {@link RequestedBookings }
     * 
     */
    public RequestedBookings createRequestedBookings() {
        return new RequestedBookings();
    }

    /**
     * Create an instance of {@link StaticticField }
     * 
     */
    public StaticticField createStaticticField() {
        return new StaticticField();
    }

    /**
     * Create an instance of {@link BookingsCriteria }
     * 
     */
    public BookingsCriteria createBookingsCriteria() {
        return new BookingsCriteria();
    }

    /**
     * Create an instance of {@link TimeoutException }
     * 
     */
    public TimeoutException createTimeoutException() {
        return new TimeoutException();
    }

    /**
     * Create an instance of {@link GetHotelDetails }
     * 
     */
    public GetHotelDetails createGetHotelDetails() {
        return new GetHotelDetails();
    }

    /**
     * Create an instance of {@link CreditCardInformation }
     * 
     */
    public CreditCardInformation createCreditCardInformation() {
        return new CreditCardInformation();
    }

    /**
     * Create an instance of {@link BookingInfoBean.Segments }
     * 
     */
    public BookingInfoBean.Segments createBookingInfoBeanSegments() {
        return new BookingInfoBean.Segments();
    }

    /**
     * Create an instance of {@link GetPreBookingInfo }
     * 
     */
    public GetPreBookingInfo createGetPreBookingInfo() {
        return new GetPreBookingInfo();
    }

    /**
     * Create an instance of {@link CancellationFeesPolicy }
     * 
     */
    public CancellationFeesPolicy createCancellationFeesPolicy() {
        return new CancellationFeesPolicy();
    }

    /**
     * Create an instance of {@link BookResponse.Segments }
     * 
     */
    public BookResponse.Segments createBookResponseSegments() {
        return new BookResponse.Segments();
    }

    /**
     * Create an instance of {@link RegisteredUser }
     * 
     */
    public RegisteredUser createRegisteredUser() {
        return new RegisteredUser();
    }

    /**
     * Create an instance of {@link HotelRatingCriteria }
     * 
     */
    public HotelRatingCriteria createHotelRatingCriteria() {
        return new HotelRatingCriteria();
    }

    /**
     * Create an instance of {@link GetHotelDetailsResponse }
     * 
     */
    public GetHotelDetailsResponse createGetHotelDetailsResponse() {
        return new GetHotelDetailsResponse();
    }

    /**
     * Create an instance of {@link GetPreBookingInfoResponse }
     * 
     */
    public GetPreBookingInfoResponse createGetPreBookingInfoResponse() {
        return new GetPreBookingInfoResponse();
    }

    /**
     * Create an instance of {@link HotelSegmentDetailsBean.CancellationPolicies }
     * 
     */
    public HotelSegmentDetailsBean.CancellationPolicies createHotelSegmentDetailsBeanCancellationPolicies() {
        return new HotelSegmentDetailsBean.CancellationPolicies();
    }

    /**
     * Create an instance of {@link RoomPlan }
     * 
     */
    public RoomPlan createRoomPlan() {
        return new RoomPlan();
    }

    /**
     * Create an instance of {@link RoomOffer }
     * 
     */
    public RoomOffer createRoomOffer() {
        return new RoomOffer();
    }

    /**
     * Create an instance of {@link HotelCodeDestination }
     * 
     */
    public HotelCodeDestination createHotelCodeDestination() {
        return new HotelCodeDestination();
    }

    /**
     * Create an instance of {@link HotelCode }
     * 
     */
    public HotelCode createHotelCode() {
        return new HotelCode();
    }

    /**
     * Create an instance of {@link Identification }
     * 
     */
    public Identification createIdentification() {
        return new Identification();
    }

    /**
     * Create an instance of {@link Facility }
     * 
     */
    public Facility createFacility() {
        return new Facility();
    }

    /**
     * Create an instance of {@link BookResponse }
     * 
     */
    public BookResponse createBookResponse() {
        return new BookResponse();
    }

    /**
     * Create an instance of {@link CancelBookingSegment }
     * 
     */
    public CancelBookingSegment createCancelBookingSegment() {
        return new CancelBookingSegment();
    }

    /**
     * Create an instance of {@link HotelBooking }
     * 
     */
    public HotelBooking createHotelBooking() {
        return new HotelBooking();
    }

    /**
     * Create an instance of {@link CityDestination }
     * 
     */
    public CityDestination createCityDestination() {
        return new CityDestination();
    }

    /**
     * Create an instance of {@link BookedOffer.BookedRooms }
     * 
     */
    public BookedOffer.BookedRooms createBookedOfferBookedRooms() {
        return new BookedOffer.BookedRooms();
    }

    /**
     * Create an instance of {@link PoiDestination }
     * 
     */
    public PoiDestination createPoiDestination() {
        return new PoiDestination();
    }

    /**
     * Create an instance of {@link SearchBookingSegmentsResponse }
     * 
     */
    public SearchBookingSegmentsResponse createSearchBookingSegmentsResponse() {
        return new SearchBookingSegmentsResponse();
    }

    /**
     * Create an instance of {@link OfferPrice.PricePerRoom }
     * 
     */
    public OfferPrice.PricePerRoom createOfferPricePricePerRoom() {
        return new OfferPrice.PricePerRoom();
    }

    /**
     * Create an instance of {@link GeoLocalization }
     * 
     */
    public GeoLocalization createGeoLocalization() {
        return new GeoLocalization();
    }

    /**
     * Create an instance of {@link SearchBookingSegments }
     * 
     */
    public SearchBookingSegments createSearchBookingSegments() {
        return new SearchBookingSegments();
    }

    /**
     * Create an instance of {@link SortBy }
     * 
     */
    public SortBy createSortBy() {
        return new SortBy();
    }

    /**
     * Create an instance of {@link RateAccessCode }
     * 
     */
    public RateAccessCode createRateAccessCode() {
        return new RateAccessCode();
    }

    /**
     * Create an instance of {@link CancelBookingSegmentResponse }
     * 
     */
    public CancelBookingSegmentResponse createCancelBookingSegmentResponse() {
        return new CancelBookingSegmentResponse();
    }

    /**
     * Create an instance of {@link CityBean }
     * 
     */
    public CityBean createCityBean() {
        return new CityBean();
    }

    /**
     * Create an instance of {@link Description }
     * 
     */
    public Description createDescription() {
        return new Description();
    }

    /**
     * Create an instance of {@link HotelAvailabilityResponse }
     * 
     */
    public HotelAvailabilityResponse createHotelAvailabilityResponse() {
        return new HotelAvailabilityResponse();
    }

    /**
     * Create an instance of {@link GetVoucher }
     * 
     */
    public GetVoucher createGetVoucher() {
        return new GetVoucher();
    }

    /**
     * Create an instance of {@link Offer }
     * 
     */
    public Offer createOffer() {
        return new Offer();
    }

    /**
     * Create an instance of {@link GetWhiteListHotelsResponse }
     * 
     */
    public GetWhiteListHotelsResponse createGetWhiteListHotelsResponse() {
        return new GetWhiteListHotelsResponse();
    }

    /**
     * Create an instance of {@link Pax }
     * 
     */
    public Pax createPax() {
        return new Pax();
    }

    /**
     * Create an instance of {@link AvailabilityResponse }
     * 
     */
    public AvailabilityResponse createAvailabilityResponse() {
        return new AvailabilityResponse();
    }

    /**
     * Create an instance of {@link AvailabilityCriteria.RateAccessCodes }
     * 
     */
    public AvailabilityCriteria.RateAccessCodes createAvailabilityCriteriaRateAccessCodes() {
        return new AvailabilityCriteria.RateAccessCodes();
    }

    /**
     * Create an instance of {@link RequestedBookings.StatisticalFields }
     * 
     */
    public RequestedBookings.StatisticalFields createRequestedBookingsStatisticalFields() {
        return new RequestedBookings.StatisticalFields();
    }

    /**
     * Create an instance of {@link CancellationPolicyResponse }
     * 
     */
    public CancellationPolicyResponse createCancellationPolicyResponse() {
        return new CancellationPolicyResponse();
    }

    /**
     * Create an instance of {@link GetVoucherResponse }
     * 
     */
    public GetVoucherResponse createGetVoucherResponse() {
        return new GetVoucherResponse();
    }

    /**
     * Create an instance of {@link SegmentRoomBean.Travelers }
     * 
     */
    public SegmentRoomBean.Travelers createSegmentRoomBeanTravelers() {
        return new SegmentRoomBean.Travelers();
    }

    /**
     * Create an instance of {@link AvailabilityCriteria.RoomCriterias }
     * 
     */
    public AvailabilityCriteria.RoomCriterias createAvailabilityCriteriaRoomCriterias() {
        return new AvailabilityCriteria.RoomCriterias();
    }

    /**
     * Create an instance of {@link HotelAvailability }
     * 
     */
    public HotelAvailability createHotelAvailability() {
        return new HotelAvailability();
    }

    /**
     * Create an instance of {@link HotelBookedBean }
     * 
     */
    public HotelBookedBean createHotelBookedBean() {
        return new HotelBookedBean();
    }

    /**
     * Create an instance of {@link Offer.RoomOffers }
     * 
     */
    public Offer.RoomOffers createOfferRoomOffers() {
        return new Offer.RoomOffers();
    }

    /**
     * Create an instance of {@link ConferenceBean }
     * 
     */
    public ConferenceBean createConferenceBean() {
        return new ConferenceBean();
    }

    /**
     * Create an instance of {@link BookHotelResponse }
     * 
     */
    public BookHotelResponse createBookHotelResponse() {
        return new BookHotelResponse();
    }

    /**
     * Create an instance of {@link GetWhiteListHotels }
     * 
     */
    public GetWhiteListHotels createGetWhiteListHotels() {
        return new GetWhiteListHotels();
    }

    /**
     * Create an instance of {@link HotelResponse.Offers }
     * 
     */
    public HotelResponse.Offers createHotelResponseOffers() {
        return new HotelResponse.Offers();
    }

    /**
     * Create an instance of {@link OfferPrice }
     * 
     */
    public OfferPrice createOfferPrice() {
        return new OfferPrice();
    }

    /**
     * Create an instance of {@link HotelResponse.Facilities }
     * 
     */
    public HotelResponse.Facilities createHotelResponseFacilities() {
        return new HotelResponse.Facilities();
    }

    /**
     * Create an instance of {@link AvailabilityCriteria }
     * 
     */
    public AvailabilityCriteria createAvailabilityCriteria() {
        return new AvailabilityCriteria();
    }

    /**
     * Create an instance of {@link ImageUrl }
     * 
     */
    public ImageUrl createImageUrl() {
        return new ImageUrl();
    }

    /**
     * Create an instance of {@link HotelChain }
     * 
     */
    public HotelChain createHotelChain() {
        return new HotelChain();
    }

    /**
     * Create an instance of {@link HotelRating }
     * 
     */
    public HotelRating createHotelRating() {
        return new HotelRating();
    }

    /**
     * Create an instance of {@link BookedOffer }
     * 
     */
    public BookedOffer createBookedOffer() {
        return new BookedOffer();
    }

    /**
     * Create an instance of {@link GetBookingDetailsResponse }
     * 
     */
    public GetBookingDetailsResponse createGetBookingDetailsResponse() {
        return new GetBookingDetailsResponse();
    }

    /**
     * Create an instance of {@link BookHotel }
     * 
     */
    public BookHotel createBookHotel() {
        return new BookHotel();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BookHotelResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "bookHotelResponse")
    public JAXBElement<BookHotelResponse> createBookHotelResponse(BookHotelResponse value) {
        return new JAXBElement<BookHotelResponse>(_BookHotelResponse_QNAME, BookHotelResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetVoucherResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getVoucherResponse")
    public JAXBElement<GetVoucherResponse> createGetVoucherResponse(GetVoucherResponse value) {
        return new JAXBElement<GetVoucherResponse>(_GetVoucherResponse_QNAME, GetVoucherResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HotelSegmentDetailsBean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "hotelSegment")
    public JAXBElement<HotelSegmentDetailsBean> createHotelSegment(HotelSegmentDetailsBean value) {
        return new JAXBElement<HotelSegmentDetailsBean>(_HotelSegment_QNAME, HotelSegmentDetailsBean.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GeoCodeDestination }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "geoCode")
    public JAXBElement<GeoCodeDestination> createGeoCode(GeoCodeDestination value) {
        return new JAXBElement<GeoCodeDestination>(_GeoCode_QNAME, GeoCodeDestination.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetWhiteListHotels }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getWhiteListHotels")
    public JAXBElement<GetWhiteListHotels> createGetWhiteListHotels(GetWhiteListHotels value) {
        return new JAXBElement<GetWhiteListHotels>(_GetWhiteListHotels_QNAME, GetWhiteListHotels.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetPreBookingInfo }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getPreBookingInfo")
    public JAXBElement<GetPreBookingInfo> createGetPreBookingInfo(GetPreBookingInfo value) {
        return new JAXBElement<GetPreBookingInfo>(_GetPreBookingInfo_QNAME, GetPreBookingInfo.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CancelBookingSegmentResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "cancelBookingSegmentResponse")
    public JAXBElement<CancelBookingSegmentResponse> createCancelBookingSegmentResponse(CancelBookingSegmentResponse value) {
        return new JAXBElement<CancelBookingSegmentResponse>(_CancelBookingSegmentResponse_QNAME, CancelBookingSegmentResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BookHotel }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "bookHotel")
    public JAXBElement<BookHotel> createBookHotel(BookHotel value) {
        return new JAXBElement<BookHotel>(_BookHotel_QNAME, BookHotel.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetHotelDetailsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getHotelDetailsResponse")
    public JAXBElement<GetHotelDetailsResponse> createGetHotelDetailsResponse(GetHotelDetailsResponse value) {
        return new JAXBElement<GetHotelDetailsResponse>(_GetHotelDetailsResponse_QNAME, GetHotelDetailsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Pax }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "pax")
    public JAXBElement<Pax> createPax(Pax value) {
        return new JAXBElement<Pax>(_Pax_QNAME, Pax.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link InsuranceSegmentDetailsBean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "insuranceSegment")
    public JAXBElement<InsuranceSegmentDetailsBean> createInsuranceSegment(InsuranceSegmentDetailsBean value) {
        return new JAXBElement<InsuranceSegmentDetailsBean>(_InsuranceSegment_QNAME, InsuranceSegmentDetailsBean.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetHotelDetails }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getHotelDetails")
    public JAXBElement<GetHotelDetails> createGetHotelDetails(GetHotelDetails value) {
        return new JAXBElement<GetHotelDetails>(_GetHotelDetails_QNAME, GetHotelDetails.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetWhiteListHotelsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getWhiteListHotelsResponse")
    public JAXBElement<GetWhiteListHotelsResponse> createGetWhiteListHotelsResponse(GetWhiteListHotelsResponse value) {
        return new JAXBElement<GetWhiteListHotelsResponse>(_GetWhiteListHotelsResponse_QNAME, GetWhiteListHotelsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HotelAvailability }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "hotelAvailability")
    public JAXBElement<HotelAvailability> createHotelAvailability(HotelAvailability value) {
        return new JAXBElement<HotelAvailability>(_HotelAvailability_QNAME, HotelAvailability.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RegisteredUser }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "registeredUser")
    public JAXBElement<RegisteredUser> createRegisteredUser(RegisteredUser value) {
        return new JAXBElement<RegisteredUser>(_RegisteredUser_QNAME, RegisteredUser.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HotelAvailabilityResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "hotelAvailabilityResponse")
    public JAXBElement<HotelAvailabilityResponse> createHotelAvailabilityResponse(HotelAvailabilityResponse value) {
        return new JAXBElement<HotelAvailabilityResponse>(_HotelAvailabilityResponse_QNAME, HotelAvailabilityResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HotelCodeListDestination }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "hotels")
    public JAXBElement<HotelCodeListDestination> createHotels(HotelCodeListDestination value) {
        return new JAXBElement<HotelCodeListDestination>(_Hotels_QNAME, HotelCodeListDestination.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PoiDestination }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "poi")
    public JAXBElement<PoiDestination> createPoi(PoiDestination value) {
        return new JAXBElement<PoiDestination>(_Poi_QNAME, PoiDestination.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetBookingDetailsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getBookingDetailsResponse")
    public JAXBElement<GetBookingDetailsResponse> createGetBookingDetailsResponse(GetBookingDetailsResponse value) {
        return new JAXBElement<GetBookingDetailsResponse>(_GetBookingDetailsResponse_QNAME, GetBookingDetailsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CancelBookingSegment }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "cancelBookingSegment")
    public JAXBElement<CancelBookingSegment> createCancelBookingSegment(CancelBookingSegment value) {
        return new JAXBElement<CancelBookingSegment>(_CancelBookingSegment_QNAME, CancelBookingSegment.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetVoucher }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getVoucher")
    public JAXBElement<GetVoucher> createGetVoucher(GetVoucher value) {
        return new JAXBElement<GetVoucher>(_GetVoucher_QNAME, GetVoucher.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetBookingDetails }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getBookingDetails")
    public JAXBElement<GetBookingDetails> createGetBookingDetails(GetBookingDetails value) {
        return new JAXBElement<GetBookingDetails>(_GetBookingDetails_QNAME, GetBookingDetails.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HotelBean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "hotelDetails")
    public JAXBElement<HotelBean> createHotelDetails(HotelBean value) {
        return new JAXBElement<HotelBean>(_HotelDetails_QNAME, HotelBean.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CityDestination }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "city")
    public JAXBElement<CityDestination> createCity(CityDestination value) {
        return new JAXBElement<CityDestination>(_City_QNAME, CityDestination.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HotelCodeDestination }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "hotel")
    public JAXBElement<HotelCodeDestination> createHotel(HotelCodeDestination value) {
        return new JAXBElement<HotelCodeDestination>(_Hotel_QNAME, HotelCodeDestination.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetPreBookingInfoResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "getPreBookingInfoResponse")
    public JAXBElement<GetPreBookingInfoResponse> createGetPreBookingInfoResponse(GetPreBookingInfoResponse value) {
        return new JAXBElement<GetPreBookingInfoResponse>(_GetPreBookingInfoResponse_QNAME, GetPreBookingInfoResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TimeoutException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "TimeoutException")
    public JAXBElement<TimeoutException> createTimeoutException(TimeoutException value) {
        return new JAXBElement<TimeoutException>(_TimeoutException_QNAME, TimeoutException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchBookingSegments }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "searchBookingSegments")
    public JAXBElement<SearchBookingSegments> createSearchBookingSegments(SearchBookingSegments value) {
        return new JAXBElement<SearchBookingSegments>(_SearchBookingSegments_QNAME, SearchBookingSegments.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchBookingSegmentsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "searchBookingSegmentsResponse")
    public JAXBElement<SearchBookingSegmentsResponse> createSearchBookingSegmentsResponse(SearchBookingSegmentsResponse value) {
        return new JAXBElement<SearchBookingSegmentsResponse>(_SearchBookingSegmentsResponse_QNAME, SearchBookingSegmentsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorDetails }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.gekko-holding.com/v2_4", name = "serviceError")
    public JAXBElement<ErrorDetails> createServiceError(ErrorDetails value) {
        return new JAXBElement<ErrorDetails>(_ServiceError_QNAME, ErrorDetails.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "currency", scope = SegmentDetailsBean.class)
    public JAXBElement<String> createSegmentDetailsBeanCurrency(String value) {
        return new JAXBElement<String>(_SegmentDetailsBeanCurrency_QNAME, String.class, SegmentDetailsBean.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "currency", scope = SegmentRoomBean.class)
    public JAXBElement<String> createSegmentRoomBeanCurrency(String value) {
        return new JAXBElement<String>(_SegmentDetailsBeanCurrency_QNAME, String.class, SegmentRoomBean.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "allowOnRequest", scope = AvailabilityCriteria.class)
    public JAXBElement<Boolean> createAvailabilityCriteriaAllowOnRequest(Boolean value) {
        return new JAXBElement<Boolean>(_AvailabilityCriteriaAllowOnRequest_QNAME, Boolean.class, AvailabilityCriteria.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SortBy }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "sortBy", scope = AvailabilityCriteria.class)
    public JAXBElement<SortBy> createAvailabilityCriteriaSortBy(SortBy value) {
        return new JAXBElement<SortBy>(_AvailabilityCriteriaSortBy_QNAME, SortBy.class, AvailabilityCriteria.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "hotelNamePart", scope = AvailabilityCriteria.class)
    public JAXBElement<String> createAvailabilityCriteriaHotelNamePart(String value) {
        return new JAXBElement<String>(_AvailabilityCriteriaHotelNamePart_QNAME, String.class, AvailabilityCriteria.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HotelRatingCriteria }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "ratingCriteria", scope = AvailabilityCriteria.class)
    public JAXBElement<HotelRatingCriteria> createAvailabilityCriteriaRatingCriteria(HotelRatingCriteria value) {
        return new JAXBElement<HotelRatingCriteria>(_AvailabilityCriteriaRatingCriteria_QNAME, HotelRatingCriteria.class, AvailabilityCriteria.class, value);
    }

}
